Mesa-git, gry i OpenGL

Grafika, film, dźwięk.
Awatar użytkownika
Arkosake
Serdeczny Borsuk
Serdeczny Borsuk
Posty: 166
Rejestracja: 07 lut 2009, 16:38
Płeć: Mężczyzna
Wersja Ubuntu: inny OS
Środowisko graficzne: Inne
Architektura: x86_64
Lokalizacja: Gdańsk

Mesa-git, gry i OpenGL

Post autor: Arkosake » 26 paź 2017, 23:17

Witajcie. Szczerze to za bardzo nie mam pojęcia jak ugryźć bzdurę jaka próbuje mi wcisnąć mój komputer :-). Mam sobie grafikę Radeon RX460 i do tego sterowniki Mesa-git 17.4 z modułem Gallium-nine, bo lubię sobie pograć w WoW-a. Dziś pobrałem sobie grę z GOG Victor Vran (wersja pseudo natywna) i... przy próbie uruchomienia dostaję komunikat:

Kod: Zaznacz cały

Do uruchomiana gry wymagana jest karta grafiki zgodna z OpenGL 3.2
To chyba jakiś żart biorąc pod uwagę poniższe wyniki:

Kod: Zaznacz cały

damian@damian-System:~$ glxinfo | grep OpenGL
OpenGL vendor string: X.Org
OpenGL renderer string: AMD Radeon (TM) RX 460 Graphics (POLARIS11 / DRM 3.18.0 / 4.13.0-041300-generic, LLVM 5.0.0)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.4.0-devel
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 17.4.0-devel
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.1 Mesa 17.4.0-devel
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10
OpenGL ES profile extensions:

Kod: Zaznacz cały

damian@damian-System:~$ glxinfo | grep core
    Preferred profile: core (0x1)
    Max core profile version: 4.5
OpenGL core profile version string: 4.5 (Core Profile) Mesa 17.4.0-devel
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
Zna ktoś może jakieś rozwiązanie, które nie wymaga instalowania AMDPRO?

Edit:// Rozwiązanie //

Przekopałem internet i znalazłem rozwiązanie. Jak ktoś by miał podobny problem to sprawa wygląda następująco:
1. Gra wymaga bibliotek systemy 32bit więc, o ile ich nie mamy trzeba je doinstalować polecenia:

Kod: Zaznacz cały

sudo dpkg --add-architecture i386

Oraz

Kod: Zaznacz cały

 sudo apt install libasound2-plugins:i386 libstdc++6:i386 libxcb1:i386 libpulsedsp:i386 libgcc1:i386 libgpg-error0:i386 
2. I teraz najlepsze aby odpalić grę wydajemy polecenie:

Kod: Zaznacz cały

 LIBGL_DEBUG=verbose LD_PRELOAD='/usr/$LIB/libstdc++.so.6 /usr/$LIB/libxcb.so.1 /usr/$LIB/pulseaudio/libpulsedsp.so /$LIB/libgcc_s.so.1 /$LIB/libgpg-error.so.0' padsp "$HOME/GOG Games/Victor Vran/start.sh" 
Koszmar jakich mało ale działa :-). Oczywiście frazę :

Kod: Zaznacz cały

$HOME/GOG Games/Victor Vran/start.sh
edytujemy według uznania i miejsca przechowywania zainstalowanej gry.
Manjaro KDE na : Asus P5G41T-M LX, Intel Core 2 Quad Q9450 2,66 GHz podbity do 3.2 GHz, Radeon RX460 2GB, 6 GB ram DDR3 1333 MHz, 256GB SSD Crucial MX100 + 8TB HDD WD & Hitachi.
ODPOWIEDZ

Wróć do „Muzyka, filmy, zdjęcia, grafika”